function draw_dl_step(b0, D, db_sd, db_gn, db_dl)
h = figure();
rectangle('Position', [b0(1)-D, b0(2)-D, 2*D, 2*D], ...
    'Curvature', [1, 1], 'LineStyle', '--');
hold on;
quiver(b0(1), b0(2), db_sd(1), db_sd(2), 1, ...
    'Color', 'r', 'LineWidth', 2, 'AutoScale', 'off');
quiver(b0(1)+db_sd(1), b0(2)+db_sd(2), ...
    db_gn(1)-db_sd(1), db_gn(2)-db_sd(2), 1, ...
    'Color', 'r', 'LineWidth', 2, 'AutoScale', 'off');
quiver(b0(1), b0(2), db_dl(1), db_dl(2), 1, ...
    'Color', 'b', 'LineWidth', 1, 'AutoScale', 'off');
text(b0(1), b0(2), '$\beta^\circ$', 'FontSize', 12, 'Interpreter', 'LaTeX');
text(b0(1)+db_sd(1), b0(2)+db_sd(2), '$\vec{p}_\textrm{sd}$', ...
    'FontSize', 12, 'Interpreter', 'LaTeX');
text(b0(1)+(db_gn(1)+db_sd(1))/2, b0(2)+(db_gn(2)+db_sd(2))/2, ...
    '$\vec{p}_\textrm{gn} - \vec{p}_\textrm{sd}$', ...
    'FontSize', 12, 'Interpreter', 'LaTeX');
text(b0(1)+db_dl(1), b0(2)+db_dl(2), '$\vec{p}_\textrm{dl}$', ...
    'FontSize', 12, 'Interpreter', 'LaTeX');
hold off;
box on;
xlabel('$\beta_1$', 'FontSize', 12, 'Interpreter', 'LaTeX');
ylabel('$\beta_2$', 'FontSize', 12, 'Interpreter', 'LaTeX');    
pause;
close(h);
end